Commit b2844a7c authored by Daniel Espinosa Ortiz's avatar Daniel Espinosa Ortiz

GCalc: removed libvala dependency

Now GCalc depends only on GLib for GLib.Scanner
parent f4bfd4a2
Pipeline #89706 passed with stages
in 13 minutes and 2 seconds
gio-2.0
gee-0.8
libvala-@VALA_API_VERSION@
......@@ -14,7 +14,6 @@ conf.set('libdir', '${exec_prefix}/'+get_option ('libdir'))
conf.set('PROJECT_NAME', PROJECT_NAME)
conf.set('PROJECT_VERSION', meson.project_version ())
conf.set('API_VERSION', API_VERSION)
conf.set('VALA_API_VERSION', vala_version)
configure_file(input : 'gcalc.pc.in',
output : 'gcalc-@0@.pc'.format(API_VERSION),
......@@ -129,7 +128,6 @@ gcalc_deps = [
posix,
libxml,
libsoup,
vala_dep,
libmath,
gee
]
......
......@@ -27,16 +27,6 @@ libxml = dependency('libxml-2.0')
libsoup = dependency('libsoup-2.4', version: '>= 2.42')
gee = dependency('gee-0.8', version: '>= 0.20.0')
# Vala compiler as expression parser
vala_version = get_option ('vala-version')
if vala_version == ''
vc = find_program('valac')
r = run_command(vc, '--api-version')
vala_version = r.stdout().strip()
endif
vala_dep_str = 'libvala-@0@'.format (vala_version)
vala_dep = dependency(vala_dep_str)
# Libraries
cc = meson.get_compiler('c')
valac = meson.get_compiler('vala')
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment